#ifndef LABEL_GENERATOR_H
#define LABEL_GENERATOR_H

#include <speak_lib.h>
#include <flite_hts_engine.h>

#include "pac_queue.h"

typedef struct {
	char **label;
	size_t size;
	char lang;
	gboolean event_begin;
	gboolean event_end;
} HLabel;

extern PQueue *label_queue;

gboolean label_generator_init();

void label_generator_close();

size_t get_hts_label(void *text, void **out_text, gboolean first_clause, char ***hts_labels);

void *_generate_label(void *nothing);

gboolean free_label(char **p_labels, size_t size);

#endif
