#ifndef RING_BUFFER_H
#define RING_BUFFER_H

//#include <pthread.h>

typedef struct RBuffer RBuffer;

RBuffer *pactos_rbuf_create(size_t size);
void pactos_rbuf_clear(RBuffer *rb);

int pactos_rbuf_take(RBuffer *rb, signed short *out, size_t size);
int pactos_rbuf_put(RBuffer *rb, signed short *data, size_t size); 


#endif //RING_BUFFER
