#ifndef SYNTHESIZER_H
#define SYNTHESIZER_H

#include <HTS_engine.h>
#include "pac_queue.h"

typedef struct{
	signed short *samples;
	size_t num_samples;
	size_t sampling_freq;
	gboolean event_begin;
	gboolean event_end;
} PWave;

extern PQueue *sample_queue;
extern HTS_Engine engine_fa, engine_en, *p_engine;

gboolean synthesizer_init();
void synthesizer_close();

#endif //SYNTHESIZER_H



