#ifndef TEXT_READER_H
#define TEXT_READER_H
#include <semaphore.h>
#include "pac_queue.h"

extern sem_t text_reader_semaphore;
extern PQueue *text_queue;

#define input_text_file "/home/pactos16u/in_l.txt"

size_t get_text_script(char *txt_ptr);

gboolean text_reader_init();

GArray *split_text_to_langs(char *text);

void text_reader_close();

void get_random_line();

void *_read_text(void *nothing);

#endif // TEXT_READER_H
